<?php

namespace Lc\ShopBundle\Controller\Backend;

use App\Form\Backend\Common\AddressType;
use FOS\UserBundle\Doctrine\UserManager;
use FOS\UserBundle\Model\UserManagerInterface ;
use Lc\ShopBundle\Context\AddressInterface;
use Lc\ShopBundle\Model\Address;

class UserController extends AdminController
{

        public function createNewEntity()
        {
                return $this->userManager->createUser();
        }

        public function persistEntity($user)
        {
                $this->userManager->updateUser($user, false);
                parent::persistEntity($user);
        }

        public function updateEntity($user)
        {
                $this->userManager->updateUser($user, false);
                parent::updateEntity($user);
        }


}
