<?php

namespace Lc\ShopBundle\Repository;

use Lc\ShopBundle\Context\DefaultRepositoryInterface;
use Lc\ShopBundle\Context\MerchantInterface;

/**
 * @method MerchantInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method MerchantInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method MerchantInterface[]    findAll()
 * @method MerchantInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class MerchantRepository extends BaseRepository implements DefaultRepositoryInterface
{
        public function getInterfaceClass()
        {
                return MerchantInterface::class;
        }
}
