// Reference array sent to dynamic staticRenderFns
var staticRenderFns = [];

appOrder = new Vue({
    el: '#lc-merchant-edit',
    delimiters: ['${', '}'],
    data() {
        return Object.assign(
            {
                addressType: null,
                currentSection:'general',
                sectionsArray: [
                    {
                        name: 'general',
                        nameDisplay: 'Catalogue'
                    },
                    {
                        name: 'product',
                        nameDisplay: 'Produits'
                    },
                    {
                        name: 'order',
                        nameDisplay: 'Commandes'
                    },
                    {
                        name: 'email',
                        nameDisplay: 'Emails'
                    },
                    {
                        name: 'delivery',
                        nameDisplay: 'Livraisons'
                    },
                    {
                        name: 'address',
                        nameDisplay: 'Adresse'
                    }
                ]
            }, window.addressValues);
    },
    mounted: function () {},
    methods: {
        changeSection: function (section) {
            this.currentSection = section.name;

        },
    },
    watch: {}
});


